diff -uN fuse-exfat-0.9.5_ori/Makefile fuse-exfat-0.9.5/Makefile
--- fuse-exfat-0.9.5_ori/Makefile	1970-01-01 07:00:00.000000000 +0700
+++ fuse-exfat-0.9.5/Makefile	2011-06-28 09:47:56.536535181 +0800
@@ -0,0 +1,59 @@
+# Makefile for fuse-exfat, converted from scons
+# Copyright (C) 2011 AllWinner Technology
+# tangliang@allwinnertech.com
+
+CC=gcc
+AR=ar
+CFLAGS=-Wall -O2 -DFUSE_USE_VERSION=26 -D_FILE_OFFSET_BITS=64 -Ilibexfat
+
+libs = libexfat/cluster.o libexfat/io.o libexfat/log.o \
+	   libexfat/lookup.o libexfat/mount.o libexfat/node.o libexfat/utf.o \
+	   libexfat/utils.o
+
+dumps = dump/main.o 
+
+fscks = fsck/main.o
+
+mkfss = mkfs/cbm.o mkfs/fat.o mkfs/main.o mkfs/rootdir.o mkfs/uct.o mkfs/vbr.o
+
+labels = label/main.o
+
+fuses = fuse/main.o
+
+apps = fuse/mount.exfat-fuse dump/dumpexfat fsck/exfatfsck mkfs/mkexfatfs \
+		label/exfatlabel
+
+all: $(apps)
+
+
+fuse/mount.exfat-fuse: libexfat/libexfat.a $(fuses)
+	$(CC) -o fuse/mount.exfat-fuse $(fuses) -Llibexfat -lexfat -lfuse
+
+dump/dumpexfat: libexfat/libexfat.a $(dumps)
+	$(CC) -o dump/dumpexfat $(dumps) -Llibexfat -lexfat -lfuse
+
+fsck/exfatfsck: libexfat/libexfat.a $(fscks)
+	$(CC) -o fsck/exfatfsck $(fscks) -Llibexfat -lexfat -lfuse
+
+mkfs/mkexfatfs: libexfat/libexfat.a $(mkfss)
+	$(CC) -o mkfs/mkexfatfs $(mkfss) -Llibexfat -lexfat -lfuse
+	
+label/exfatlabel: libexfat/libexfat.a $(labels)
+	$(CC) -o label/exfatlabel $(labels) -Llibexfat -lexfat -lfuse
+
+libexfat/libexfat.a: $(libs)
+	$(AR) rc libexfat/libexfat.a $(libs)
+	ranlib $@
+
+$(libs) $(dumps) $(fscks) $(mkfss) $(labels) $(fuses):%.o:%.c
+	$(CC) -c $(CFLAGS) $< -o $@
+
+install:
+	cp -f $(apps) /sbin/
+	ln -f -s /sbin/mount.exfat-fuse /sbin/mount.exfat
+	ln -f -s /sbin/exfatfsck /sbin/fsck.exfat
+	ln -f -s /sbin/mkexfatfs /sbin/mkfs.exfat
+uninstall:
+	cd /sbin && rm -f $(apps) /sbin/mount.exfat /sbin/fsck.exfat /sbin/mkfs.exfat
+clean:
+	rm -f $(apps) $(libs) $(dumps) $(fscks) $(mkfss) $(labels) $(fuses)
